/**
  ******************************************************************************
  * @file     ms32f0xx_it.c
  * @author   SINOMCU-AE
  * @brief    Interrupt Service Routines.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#include "system_define.h"

//            Cortex-M0 Processor Exceptions Handlers                         

/**
  * @brief   This function handles NMI exception.
  * @param  None
  * @retval None
  */
// void NMI_Handler (void) {
    
// }

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
// void HardFault_Handler (void) {
//   /* Go to infinite loop when Hard Fault exception occurs */
//   while (1) { ; }
// }

/**
  * @brief  This function handles SVCall exception.
  * @param  None
  * @retval None
  */
// void SVC_Handler (void) {
    
// }

/**
  * @brief  This function handles PendSVC exception.
  * @param  None
  * @retval None
  */
// void PendSV_Handler (void) {
    
// }

/**
  * @brief This function handles System tick timer.
  */  
void SysTick_Handler(void) {
  SysTick_Callback();
}

//                 MS32F0xx Peripherals Interrupt Handlers  

/**
  * @brief This function handles DMA1_Channel1.
  */
// void DMA1_Channel1_IRQHandler(void) {
    
// }

/**
  * @brief This function handles ADC1 comp.
  */  
// void ADC1_COMP_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer1 BRK_UP_TRG_COM.
  */
// void TIM1_BRK_UP_TRG_COM_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer1 CC.
  */
// void TIM1_CC_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer2.
  */
// void TIM2_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer3.
  */
// void TIM3_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer3.
  */
void TIM14_IRQHandler(void) {
  uint32_t IC1_value=0;
  if(MS32_TIM_IsActiveFlag_UPDATE(TIM14)) {
    MS32_TIM_ClearFlag_UPDATE(TIM14);
  }
  if(MS32_TIM_IsActiveFlag_CC1(TIM14) && MS32_TIM_IsEnabledIT_CC1(TIM14)) {
    IC1_value =MS32_TIM_OC_GetCompareCH1(TIM14);
    MS32_TIM_ClearFlag_CC1(TIM14);
    Timer14_CC1_Callback(IC1_value); 
  }    
}

/**
  * @brief This function handles USART1.
  */
// void USART1_IRQHandler(void) {
    
// }

/**
  * @brief  This function handles PPP interrupt request.
  * @param  None
  * @retval None
  */
/*void PPP_IRQHandler (void) {

}*/

/******************************** END OF FILE *********************************/
